#include <bits/stdc++.h>

using namespace std;
#define int long long
signed main()
{
int n,k;
cin>>n>>k;
vector<int>a(k);
if(k<10000){
for(int i = 0;i<k;i++)
cin>>a[i];
for(int i = 0;i<k;i++){
int res=0;
for(int j = 0;j<k;j++)
if(a[i]%a[j]==0)
res^=a[j];
cout<<res<<" ";
}

}

    return 0;
}